Skip to content

Document Refund Quote

Request

Send one or more ticket numbers for a Refund Quote to determine what, if any, refund value may be available on the ticket(s). You can send multiple tickets only if all tickets sent in the request belong to the same PNR and use the same filed fare. The response includes a detailed refund quote with refundable amounts, penalties, tax breakdowns, and related details. Use the following endpoint. The information returned in the response payload is similar whether the request was by a record locator or by a ticket number. Refund Quote price details are provided in the following objects. All objects provide a total amount and a breakdown by base fare, price, and taxes as applicable: - Price - Amount paid for the ticket. - ModifyPrice - Any amount eligible for refund. - SupplierRetainedPrice - Any amount forfeited.

Security
bearerAuth
Bodyapplication/json
@typestringrequired
Example:"OfferQueryDocumentRefundQuote"
DocumentRefundQuoteArray of objects, <= 20 items(DocumentRefundQuote)required
curl -i -X POST \
  https://developer.travelport.com/_mock/apis/flights/air/book/airoffer/offers/documentrefundquote \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "@type": "OfferQueryDocumentRefundQuote",
    "DocumentRefundQuote": [
      {
        "@type": "DocumentRefundQuote",
        "DocumentNumber": [
          {
            "value": "1259900123456",
            "documentIssuer": "BA",
            "documentType": "Ticket",
            "travelerIdentifierRef": "string",
            "name": "string",
            "passengerTypeCode": "ADT",
            "id": "string",
            "description": "string",
            "uris": [
              "string"
            ]
          }
        ]
      }
    ]
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
OfferListResponseobject(OfferListResponse)

The response of an Offer list endpoint request, such as AirPrice and Add Offer calls.
Defines one or more air offers returned including the offer identifiers and related response data needed for subsequent booking steps.

Response
{ "OfferListResponse": { "OfferID": [ {} ], "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "48fb4cd3-2ef6-4479-bea1-7c92721b988c", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [], "Warning": [] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "string", "id": "5", "NextStep": [] }, "ReferenceList": [ {} ], "CurrencyRateConversion": [ {} ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }